<?php 
 
// array for JSON response
$response = array();
 
 require_once __DIR__ . '/catchexception.php';
// include db connect class
require_once __DIR__ . '/db_config.php';
 
$json = file_get_contents('php://input');
$obj = json_decode($json,true);

$deviceid = $obj['deviceid'];
$clientcode=$obj['clientcode'];
$fromdate=$obj['fromdate'];
$todate=$obj['todate'];
$branchcode=$obj['branchcode'];

try{
// $paraimeino ='f4f8ffbef470be87'; 
if ($deviceid !="" ) {
    
    $paraquery="select  voucherno as billno,branchcode, deviceid,salestime, transactiondate as  billdate,  statuscode , 
round(cast( grandtotal as numeric),2)  as billvalue
from tblsales as a where clientcode =$1 and transactiondate between $2 and $3  and  branchcode =$4  
 order by transactiondate desc, voucherno desc"; 
  $resultmax=  pg_prepare($con,"paraquery",$paraquery);
      $data = [$clientcode,$fromdate,$todate,$branchcode];
      $result = pg_execute($con,"paraquery",$data);
      
    if (!empty($result)) {
        // check for empty result
        if (pg_num_rows($result) > 0) {
      // user node
            $response["branchbilldetaills"] = array();
 
            while ($row = pg_fetch_assoc($result)) {        
              $report = array();
               
                $report["billno"] = $row["billno"];
                $report["branchcode"] = $row["branchcode"];
                $report["billdate"] = $row["billdate"];
                $report["billvalue"] = $row["billvalue"];
                $report["statuscode"] = $row["statuscode"];
                $report["deviceid"] = $row["deviceid"];
                $report["salestime"]=$row["salestime"];
              // push single product into final response array
              array_push($response["branchbilldetaills"], $report);
            }
            // success
            $response["success"] = 1;
 
            // echoing JSON response
            echo  json_encode($response,JSON_UNESCAPED_UNICODE);


        } else {
            // no user found
            $response["success"] = 0;
            $response["message"] = "No Report found";
 
            // echo no users JSON
            echo json_encode($response);
        }
    } else {
        // no user found
        $response["success"] = 0;
        $response["message"] = "No found";
 
        // echo no users JSON
        echo json_encode($response);
    }
} else {
    // required field is missing
    $response["success"] = 0;
    $response["message"] = "Required field(s) is missing";
 
     echo  json_encode($response,JSON_UNESCAPED_UNICODE);
  }
  mch_db_release($con);
}
//catch exception
catch(Exception $e) {
mch_db_release($con);
echo 'Message: ' .$e->getMessage();
}
?>
